import request from '@/utils/request'

// 查询客户电子会员卡充值优惠设置明细列表
export function listDetail(query) {
  return request({
    url: '/customer/detail/list',
    method: 'get',
    params: query
  })
}

export function listDetailInfo(query) {
  return request({
    url: '/customer/detail/listDetailInfo',
    method: 'get',
    params: query
  })
}
// 查询客户电子会员卡充值优惠设置明细详细
export function getDetail(id) {
  return request({
    url: '/customer/detail/' + id,
    method: 'get'
  })
}

// 新增客户电子会员卡充值优惠设置明细
export function addDetail(data) {
  return request({
    url: '/customer/detail',
    method: 'post',
    data: data
  })
}

// 修改客户电子会员卡充值优惠设置明细
export function updateDetail(data) {
  return request({
    url: '/customer/detail',
    method: 'put',
    data: data
  })
}

// 删除客户电子会员卡充值优惠设置明细
export function delDetail(id) {
  return request({
    url: '/customer/detail/' + id,
    method: 'delete'
  })
}

// 导出客户电子会员卡充值优惠设置明细
export function exportDetail(query) {
  return request({
    url: '/customer/detail/export',
    method: 'get',
    params: query
  })
}